#ifndef	__MAIN_H__
#define	__MAIN_H__
//*******************************************************
//
//	Raspberry Pi Power Lock
//
//	ATtiny13
//		hfuse:FBh	BOD 2.7V
//		lfuse:22h	0.6MHz
//
//	Compiler:	AVR-GCC		4.3.5
//				AVR-LIBC	1.7.1
//				binutils	2.20.1
//
//	2012.8.22	KAWAKAMI Yukio
//*******************************************************

#define		F_CPU	600000UL	// 600kHz

#define		NOP		asm volatile("nop\n"::)
#define		WDR		asm volatile("wdr\n"::)
#define		SLEEP	asm volatile("sleep\n"::)

typedef	unsigned char	uchar;
typedef	unsigned int	uint;
typedef unsigned short	ushort;
typedef	unsigned long	ulong;

// ポート設定 (PORTB)
#define	PLOCK	4	// PORTB
#define	SWITCH	3
#define	VOLT	2
#define	LED		1
#define	CTRL_IN	0

void shutdown(void);
void wait_timer(uchar tm);

#endif	// __MAIN_H__
